## AgsOpenSingleFile

AgsOpenSingleFile — open single file

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsOpenSingleFile * | ags_open_single_file_new ()

## Properties

guint | audio-channel | Read / Write
AgsChannel * | channel | Read / Write
char * | filename | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsOpenSingleFile

## Includes

    #include <ags/audio/task/ags_open_single_file.h>

## Description

The AgsOpenFile task opens one single file.

## Functions

### ags_open_single_file_new ()

    AgsOpenSingleFile *
    ags_open_single_file_new (AgsChannel *channel,
                              gchar *filename,
                              guint audio_channel);

Create a new instance of AgsOpenSingleFile.

#### Parameters

channel | the AgsChannel |
filename | the filename to be opened |
audio_channel | the audio channel |

#### Returns

the new AgsOpenSingleFile.

Since: 3.0.0

## Property Details

### The `“audio-channel”` property

      “audio-channel”            guint

The audio channel.

Owner: AgsOpenSingleFile

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“channel”` property

      “channel”                  AgsChannel *

The assigned AgsChannel

Owner: AgsOpenSingleFile

Flags: Read / Write

Since: 3.0.0

### The `“filename”` property

      “filename”                 char *

The assigned filename.

Owner: AgsOpenSingleFile

Flags: Read / Write

Default value: NULL

Since: 3.0.0